## afnix 3.5.0

=== Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix top level makefile                                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR          = .
CONFFILE	= cnf/mak/afnix-conf.mak
RULEFILE	= cnf/mak/afnix-rule.mak
include		$(CONFFILE)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule
all   : build
.PHONY: all

# include: afnix-rule.mak
# this rule includes the platform dependant rules
include $(RULEFILE)

# rule: debug
# configure the world in debug mode
debug:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -g
.PHONY: debug

# rule: optimized
# configure the world in optimized mode
optimized:
	@$(TEST) -f bld/cnf/afnix-comp.mak && \
         $(TEST) -f bld/cnf/afnix-plat.mak || ./cnf/bin/afnix-setup -o
.PHONY: optimized

# rule: build
# this rule build the complete source tree
build: debug
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: build

# rule: world
# this rule build the optimized world
world: optimized
	@${MAKE} -C src all
	@${MAKE} -C prj all
	@${MAKE} devel
.PHONY: world

# rule: test
# this rule build and test all libraries
test:
	@${MAKE} -C src test
	@${MAKE} -C prj test
.PHONY: test

# rule: devel
# this rule install the development file
devel:
	@${MAKE} -C cnf devel
	@${MAKE} -C tst devel
.PHONY: devel

# rule: doc
# this rule build the documentation
doc:
	@${MAKE} -C doc doc
	@${MAKE} -C src doc
	@${MAKE} -C prj doc
.PHONY: doc

# rule: distri
# this rule creates the distribution
distri:
	@$(MKDIR) $(BLDDST)
	@$(CP)    Makefile $(BLDDST)
	@${MAKE}  -C cnf distri
	@${MAKE}  -C src distri
	@${MAKE}  -C prj distri
	@${MAKE}  -C tst distri
	@${MAKE}  -C etc distri
	@${MAKE}  -C exp distri
	@${MAKE}  -C doc distri
.PHONY: distri

# rule: install
# this rule install the distribution
install:
	@${MAKE}  -C src install
	@${MAKE}  -C prj install
	@${MAKE}  -C etc install
.PHONY: install

# rule: publish
# this rule install the documentation
publish:
	@${MAKE}  -C doc publish
	@${MAKE}  -C src publish
	@${MAKE}  -C prj publish
.PHONY: publish

# rule: clean
# This rule cleans the distribution.
clean::
	@${MAKE} -C cnf clean
	@${MAKE} -C src clean
	@${MAKE} -C prj clean
	@${MAKE} -C tst clean
	@${MAKE} -C exp clean
	@${MAKE} -C doc clean
	@${MAKE} -C etc clean
.PHONY: clean

# rule: reset
# This rule reset the whole distribution and configuration
reset: clean
	@$(RMDIR) $(BLDDIR)
.PHONY: reset

=== cnf/def/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix def makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/def

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the def files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.def    $(DSTDIR)
.PHONY: distri

=== cnf/mak/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix mak makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/mak
DVLDIR		= $(BLDDVL)/mak
SRCMAK		= $(wildcard *.mak)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    $(SRCMAK) $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@$(CP)    $(SRCMAK) $(DSTDIR)
.PHONY: distri

=== cnf/pkg/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix pkg makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/cnf/pkg

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the pkg files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@${MAKE}  -C deb distri
	@${MAKE}  -C rpm distri
.PHONY: distri

# rule: clean
# This rule cleans the configuration.

clean::
	@${MAKE} -C deb clean
	@${MAKE} -C rpm clean

=== doc/dtd/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix dtd makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-docs.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/doc/dtd

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile  $(DSTDIR)
	@$(CP)    std-us-afnix.dtd $(DSTDIR)
.PHONY: distri

=== etc/unx/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix etc makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/etc/unx
EELDIR		= $(SHRDIR)/emacs/site-list

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all:
	@exit 0
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the etc distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile       $(DSTDIR)
	@$(CP)    afnix-gud.el   $(DSTDIR)
	@$(CP)    afnix-mode.el  $(DSTDIR)
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@exit 0
.PHONY: install

# rule: emacs
# this rule install the emacs distribution

emacs:
	@$(MKDIR) $(EELDIR)
	@$(CP)    afnix-gud.el   $(EELDIR)
	@$(CP)    afnix-mode.el  $(EELDIR)
.PHONY: emacs

=== exp/api/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix api example module makefile                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# project configurationn                                                     -
# ----------------------------------------------------------------------------

TRGDIR		= api
TRGLIB		= example-api
DSTDIR		= $(BLDDST)/exp/api
EXTLIB		= -L$(BLDLIB)     \
                  -lafnix-eng     \
                  -lafnix-std     \
                  -lafnix-plt
INCLUDE		= -I.             \
                  -I$(BLDHDR)/eng \
                  -I$(BLDHDR)/std \
                  -I$(BLDHDR)/plt

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: $(TRGLIB)
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: distri
# this rule install the lib distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.hpp    $(DSTDIR)
	@$(CP)    *.cpp    $(DSTDIR)
.PHONY: distri

=== exp/prj/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix:amd project makefile                                               -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/exp/prj

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C amd all
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C amd test
.PHONY: test

# rule: doc
# this rule build the documentation

doc:
	@${MAKE} -C amd doc
.PHONY: doc

# rule: distri
# this rule install the src distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE}  -C amd distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE} -C amd install
.PHONY: install

# rule: publish
# this rule install the documentation

publish:
	@${MAKE} -C amd publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C amd clean
.PHONY: clean

=== exp/ref/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix exp makefile                                                       -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/exp/ref

# ----------------------------------------------------------------------------
# test definition                                                            -
# ----------------------------------------------------------------------------

AXCEXE          = "axc"
TSTALS          = $(wildcard *.als)
TSTAXC          = $(TSTALS:.als=.axc)

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule that compile the files

all: compile
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# this rule compile an als file

%.axc : %.als
	@$(AEXEC) --prefix=$(BLDDIR) --binexe=$(AXCEXE) $<

# compile
# this rule compile all example file

compile: $(TSTAXC)
.PHONY: compile

# rule: distri
# this rule install the exp distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.als    $(DSTDIR)
.PHONY: distri

# clean
# this rule clean for some local file 

clean::
	@$(RM) *.axc

=== src/lib/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix libraries makefile                                                 -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/src/lib

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C plt all
	@${MAKE} -C bit all
	@${MAKE} -C std all
	@${MAKE} -C eng all
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C plt test
	@${MAKE} -C bit test
	@${MAKE} -C std test
	@${MAKE} -C eng test
.PHONY: test

# rule: distri
# this rule install the mod distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE} -C plt distri
	@${MAKE} -C bit distri
	@${MAKE} -C std distri
	@${MAKE} -C eng distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE} -C plt install
	@${MAKE} -C bit install
	@${MAKE} -C std install
	@${MAKE} -C eng install
.PHONY: install

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C plt clean
	@${MAKE} -C bit clean
	@${MAKE} -C std clean
	@${MAKE} -C eng clean
.PHONY: clean

=== src/mod/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix modules makefile                                                   -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/src/mod

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which call the build rule

all: build
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule: build
# this rule build all source directories

build:
	@${MAKE} -C gfx all
	@${MAKE} -C itu all
	@${MAKE} -C mth all
	@${MAKE} -C net all
	@${MAKE} -C nwg all
	@${MAKE} -C sec all
	@${MAKE} -C sio all
	@${MAKE} -C sps all
	@${MAKE} -C sys all
	@${MAKE} -C txt all
	@${MAKE} -C xml all
	@${MAKE} -C wgt all
.PHONY: build

# rule: test
# this rule build and test all libraries

test:
	@${MAKE} -C gfx test
	@${MAKE} -C itu test
	@${MAKE} -C mth test
	@${MAKE} -C net test
	@${MAKE} -C nwg test
	@${MAKE} -C sec test
	@${MAKE} -C sio test
	@${MAKE} -C sps test
	@${MAKE} -C sys test
	@${MAKE} -C txt test
	@${MAKE} -C xml test
	@${MAKE} -C wgt test
.PHONY: test

# rule: doc
# this rule builds the documentation

doc:
	@${MAKE} -C gfx doc
	@${MAKE} -C itu doc
	@${MAKE} -C mth doc
	@${MAKE} -C net doc
	@${MAKE} -C nwg doc
	@${MAKE} -C sec doc
	@${MAKE} -C sio doc
	@${MAKE} -C sps doc
	@${MAKE} -C sys doc
	@${MAKE} -C txt doc
	@${MAKE} -C xml doc
	@${MAKE} -C wgt doc
.PHONY: doc

# rule: distri
# this rule install the mod distribution files

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@${MAKE} -C gfx distri
	@${MAKE} -C itu distri
	@${MAKE} -C mth distri
	@${MAKE} -C net distri
	@${MAKE} -C nwg distri
	@${MAKE} -C sec distri
	@${MAKE} -C sio distri
	@${MAKE} -C sps distri
	@${MAKE} -C sys distri
	@${MAKE} -C txt distri
	@${MAKE} -C xml distri
	@${MAKE} -C wgt distri
.PHONY: distri

# rule: install
# this rule install the distribution

install:
	@${MAKE} -C gfx install
	@${MAKE} -C itu install
	@${MAKE} -C mth install
	@${MAKE} -C net install
	@${MAKE} -C nwg install
	@${MAKE} -C sec install
	@${MAKE} -C sio install
	@${MAKE} -C sps install
	@${MAKE} -C sys install
	@${MAKE} -C txt install
	@${MAKE} -C xml install
	@${MAKE} -C wgt install
.PHONY: install

# rule: publish
# this rule install the distribution

publish:
	@${MAKE} -C gfx publish
	@${MAKE} -C itu publish
	@${MAKE} -C mth publish
	@${MAKE} -C net publish
	@${MAKE} -C nwg publish
	@${MAKE} -C sec publish
	@${MAKE} -C sio publish
	@${MAKE} -C sps publish
	@${MAKE} -C sys publish
	@${MAKE} -C txt publish
	@${MAKE} -C xml publish
	@${MAKE} -C wgt publish
.PHONY: publish

# rule: clean
# this rule clean all source directories

clean::
	@${MAKE} -C gfx clean
	@${MAKE} -C itu clean
	@${MAKE} -C mth clean
	@${MAKE} -C net clean
	@${MAKE} -C nwg clean
	@${MAKE} -C sec clean
	@${MAKE} -C sio clean
	@${MAKE} -C sps clean
	@${MAKE} -C sys clean
	@${MAKE} -C txt clean
	@${MAKE} -C xml clean
	@${MAKE} -C wgt clean
.PHONY: clean

=== tst/ref/Makefile ===
# ----------------------------------------------------------------------------
# - Makefile                                                                 -
# - afnix tst ref makefile                                                   -
# ----------------------------------------------------------------------------
# - This program is  free software;  you can  redistribute it and/or  modify -
# - it provided that this copyright notice is kept intact.                   -
# -                                                                          -
# - This  program  is  distributed in the hope  that it  will be useful, but -
# - without  any   warranty;  without  even   the   implied    warranty   of -
# - merchantability  or fitness for a particular purpose. In not event shall -
# - the copyright holder be  liable for  any direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.      -
# ----------------------------------------------------------------------------
# - copyright (c) 1999-2021 amaury darsch                                    -
# ----------------------------------------------------------------------------

TOPDIR		= ../..
MAKDIR		= $(TOPDIR)/cnf/mak
CONFFILE	= $(MAKDIR)/afnix-conf.mak
RULEFILE	= $(MAKDIR)/afnix-rule.mak
include		  $(CONFFILE)

# ----------------------------------------------------------------------------
# - project configuration                                                    -
# ----------------------------------------------------------------------------

DSTDIR		= $(BLDDST)/tst/ref
DVLDIR		= $(BLDDVL)/tst/ref

# ----------------------------------------------------------------------------
# test definition                                                            -
# ----------------------------------------------------------------------------

TSTALS          = $(wildcard $(TSTREF)/*.als)
TSTAXI          = $(notdir $(TSTALS:.als=.axi))

# ----------------------------------------------------------------------------
# - project rules                                                            -
# ----------------------------------------------------------------------------

# rule: all
# this rule is the default rule which does nothing

all: test
.PHONY: all

# include: rule.mak
# this rule includes the platform dependant rules

include $(RULEFILE)

# rule:
# map als file to axd files
vpath %.als : $(TSTREF)
%.axi       : %.als
	@$(CP) $< $@
	@$(AEXEC) -v --prefix=$(BLDDIR) \
                     --binexe=$(AXIEXE) --binopt=$(AXIOPT) $@
	@$(RM)    $@

# rule: test
# test the als files

test: $(TSTAXI)
	@$(RM) *.axi
.PHONY: test

# rule: devel
# this rule install the development file

devel:
	@$(MKDIR) $(DVLDIR)
	@$(CP)    *.als $(DVLDIR)
.PHONY: devel

# rule: distri
# this rule install the bin files in the distribution

distri:
	@$(MKDIR) $(DSTDIR)
	@$(CP)    Makefile $(DSTDIR)
	@$(CP)    *.als    $(DSTDIR)
.PHONY: distri

# rule: clean
# this cleans file and some local extras

clean::
	@$(RM) *.xl
	@$(RM) *.axi
	@$(RM) *.axc

=== debian/changelog ===
afnix (3.5.0-3) unstable; urgency=medium

  * Make the build reproducible for version info. (Closes: #998104)
    Add d/patches/0014-Reproducible-build.patch. Thanks to Chris Lamb
    <lamby@debian.org> to this patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Nov 2021 14:24:58 +0900

afnix (3.5.0-2) unstable; urgency=medium

  * Drop build date from man pages for reproducible builds.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Sep 2021 23:45:24 +0900

afnix (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary patches.
    - d/patches/0004-Fix-manpage-error.patch.
  * Fix FTBFS with gcc-11 (Closes: #983965)
  * Update d/copyright to DEP5.
  * Update d/control:
    - Add Rules-Requires-Root: no.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Aug 2021 08:32:07 +0900

=== debian/control ===
Source: afnix
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses5-dev (>= 5.5),
               dpkg-dev (>= 1.16.1~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/afnix
Vcs-Git: https://salsa.debian.org/debian/afnix.git
Homepage: http://www.afnix.org/

Package: afnix
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: afnix-doc
Conflicts: aleph
Replaces: aleph
Description: Compiler and run-time for the AFNIX programming language
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.

Package: afnix-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: afnix
Description: Compiler and run-time for the AFNIX programming language (documentation)
 AFNIX is a multi-threaded functional programming language with
 dynamic symbol bindings that support the object oriented paradigm.
 The language features a state of the art runtime engine. The
 distribution is available with several clients and a rich set
 of modules that are designed to be platform independent.
 .
 This package contains the documentation for AFNIX.
